Package org.opensaml.saml.saml2.core

# Interface AuthzDecisionStatement

All Superinterfaces:
  `SAMLObject`, `Statement`, `XMLObject`

All Known Implementing Classes:
  `AuthzDecisionStatementImpl`

public interface AuthzDecisionStatement extends Statement
SAML 2.0 Core AuthzDecisionStatement.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DECISION_ATTRIB_NAME`
Decision attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`RESOURCE_ATTRIB_NAME`
Resource attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<Action>`
`getActions()`
Gets the actions authorized to be performed.
`DecisionTypeEnumeration`
`getDecision()`
Gets the decision of the authorization request.
`Evidence`
`getEvidence()`
Get the SAML assertion the authority relied on when making the authorization decision.
`String`
`getResource()`
Get URI of the resource to which authorization is saught.
`void`
`setDecision(DecisionTypeEnumeration newDecision)`
Sets the decision of the authorization request.
`void`
`setEvidence(Evidence newEvidence)`
Sets the SAML assertion the authority relied on when making the authorization decision.
`void`
`setResource(String newResourceURI)`
Sets URI of the resource to which authorization is saught.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### RESOURCE_ATTRIB_NAME

@Nonnull @NotEmpty static final String RESOURCE_ATTRIB_NAME
Resource attribute name.

See Also:
  - Constant Field Values

### DECISION_ATTRIB_NAME

@Nonnull @NotEmpty static final String DECISION_ATTRIB_NAME
Decision attribute name.

See Also:
  - Constant Field Values

## Method Details

### getResource

@Nullable String getResource()
Get URI of the resource to which authorization is saught.

Returns:
  URI of the resource to which authorization is saught

### setResource

void setResource(@Nullable String newResourceURI)
Sets URI of the resource to which authorization is saught.

Parameters:
  `newResourceURI` - URI of the resource to which authorization is saught

### getDecision

@Nullable DecisionTypeEnumeration getDecision()
Gets the decision of the authorization request.

Returns:
  the decision of the authorization request

### setDecision

void setDecision(@Nullable DecisionTypeEnumeration newDecision)
Sets the decision of the authorization request.

Parameters:
  `newDecision` - the decision of the authorization request

### getActions

@Nonnull @Live List<Action> getActions()
Gets the actions authorized to be performed.

Returns:
  the actions authorized to be performed

### getEvidence

@Nullable Evidence getEvidence()
Get the SAML assertion the authority relied on when making the authorization decision.

Returns:
  the SAML assertion the authority relied on when making the authorization decision

### setEvidence

void setEvidence(@Nullable Evidence newEvidence)
Sets the SAML assertion the authority relied on when making the authorization decision.

Parameters:
  `newEvidence` - the SAML assertion the authority relied on when making the authorization decision